QGIS Application - Bug report #20820

QGIS 3.4 crashed when using ArcGIS MapServer and FeatureServer

2018-12-16 06:42 PM - Mark Giesbrecht

Status: Closed
Priority: Normal
Assignee:

Category: Map Canvas

Affected QGIS version:3.4.1

Operating System: Window 10 Pro 64bit
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 28639

Description

User Feedback

Working with https://maps.alberta.ca/genesis/rest/services/Fire_Control_Orders-Data rest services for ArcGIS MapServer and

FeatureServer

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :
QAbstractEventDispatcher::filterNativeEvent :
CallWindowProcW :

CallWindowProcW :

GetMenuState :
KiUserCallbackDispatcher :
NtUserPeekMessage :

PeekMessageW :

PeekMessageW :
QEventDispatcherWin32::processEvents :
gt_plugin_query_metadata :
QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597
Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20386: Program crashes in idle phase Closed

2018-11-06

History

2025-04-27

12



https://maps.alberta.ca/genesis/rest/services/Fire_Control_Orders-Data

#1 - 2018-12-16 08:25 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

This crash is fixed in 3.4.2

#2 - 2019-01-02 01:13 PM - Jiirgen Fischer
- Duplicates Bug report #20386: Program crashes in idle phase added
